﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Museum
{
    /// <summary>
    /// Логика взаимодействия для Login.xaml
    /// </summary>
    public partial class Login : Window
    {
        public Login()
        {
            InitializeComponent();
        }

        private void SignInBtn_Click(object sender, RoutedEventArgs e)
        {
            Museum_MatveyContext context = new Museum_MatveyContext();
            var users = context.UserProfiles;
            var data = $"Login: {UserLogin1.Text}, Password: {UserPass1.Text}";
            UserProfile user = users.SingleOrDefault(x => x.UserLogin == UserLogin1.Text && x.UserPass == UserPass1.Text);
            if(user == null)
            {
                MessageBox.Show("Пользователь с таким логином и паролем,\nНе найден!");
            }
            else
            {
                UserSaveData.Name = user.UserFirstName;
                UserSaveData.Login = user.UserLogin;
                UserSaveData.Password = user.UserPass;
                UserSaveData.Status = user.UserStatus;
                if (user.UserStatus == 2)
                {
                    AdminPanel adm = new AdminPanel();
                    adm.Show();
                    this.Hide();
                }
                else
                {
                    MainMenu menu = new MainMenu();
                    menu.Show();
                    this.Hide();
                }
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            MainWindow reg = new MainWindow();
            reg.Show();
            this.Hide();
        }

        private void CloseApp_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
